Bug 1019489 - [abrt] xen-runtime-4.2.3-3.fc19: pygrub:866:<module>:RuntimeError: Unable to find partition containing kernel
[abrt] xen-runtime-4.2.3-3.fc19: pygrub:866:<module>:RuntimeError: Unable to ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Young
Fedora Extras Quality Assurance
abrt_hash:20c155eec059ec74fb4b578d182...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-15 16:47 EDT by Balázs Zsoldos
Modified: 2015-02-17 12:42 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:42:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (3.38 KB, text/plain)
2013-10-15 16:47 EDT, Balázs Zsoldos
no flags Details
File: environ (108 bytes, text/plain)
2013-10-15 16:47 EDT, Balázs Zsoldos
no flags Details

  None (edit)
Description Balázs Zsoldos 2013-10-15 16:47:04 EDT
Description of problem:
installing xen-server package and trying to create a new virtual machine with virt-manager.

Version-Release number of selected component:
xen-runtime-4.2.3-3.fc19

Additional info:
reporter:       libreport-2.1.8
cmdline:        /usr/bin/python /usr/bin/pygrub --output=/var/run/xen/bootloader.1.out --output-format=simple0 --output-directory=/var/run/xen/bootloader.1.d '/run/media/balazs/data/personal/school/vmware2/Windows XP Professional.qcow2'
executable:     /usr/bin/pygrub
kernel:         3.11.4-201.fc19.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
pygrub:866:<module>:RuntimeError: Unable to find partition containing kernel

Traceback (most recent call last):
  File "/usr/bin/pygrub", line 866, in <module>
    raise RuntimeError, "Unable to find partition containing kernel"
RuntimeError: Unable to find partition containing kernel

Local variables in innermost frame:
get_entry_idx: <function get_entry_idx at 0x270f2a8>
bootfsargs: '""'
get_fs_offset_gpt: <function get_fs_offset_gpt at 0x270f1b8>
grub: <module 'grub' from '/usr/lib64/python2.7/site-packages/grub/__init__.pyc'>
curses: <module 'curses' from '/usr/lib64/python2.7/curses/__init__.pyc'>
FS_READ_MAX: 1048576
xen: <module 'xen' from '/usr/lib64/python2.7/site-packages/xen/__init__.pyc'>
enable_cursor: <function enable_cursor at 0x26fd758>
run_grub: <function run_grub at 0x270f938>
not_really: False
file: '/run/media/balazs/data/personal/school/vmware2/Windows XP Professional.qcow2'
sel: None
identify_disk_image: <function identify_disk_image at 0x270f0c8>
get_partition_offsets: <function get_partition_offsets at 0x270f230>
output_directory: '/var/run/xen/bootloader.1.d'
FDISK_PART_GPT: 238
struct: <module 'struct' from '/usr/lib64/python2.7/struct.pyc'>
interactive: True
platform: <module 'platform' from '/usr/lib64/python2.7/platform.pyc'>
tempfile: <module 'tempfile' from '/usr/lib64/python2.7/tempfile.pyc'>
FDISK_PART_SOLARIS: 191
offset: 0
__package__: None
bootfsgroup: []
re: <module 're' from '/usr/lib64/python2.7/re.pyc'>
sniff_netware: <function sniff_netware at 0x270faa0>
DISK_TYPE_RAW: 0
usage: <function usage at 0x270fc08>
getopt: <module 'getopt' from '/usr/lib64/python2.7/getopt.pyc'>
format_simple: <function format_simple at 0x270fb90>
__doc__: None
part_offs: [0]
fs: None
DKL_MAGIC: 55998
string: <module 'string' from '/usr/lib64/python2.7/string.pyc'>
supports64bitPVguest: <function supports64bitPVguest at 0x270f9b0>
SECTOR_SIZE: 512
__builtins__: <module '__builtin__' (built-in)>
__file__: '/usr/bin/pygrub'
args: ['/run/media/balazs/data/personal/school/vmware2/Windows XP Professional.qcow2']
DISK_TYPE_HYBRIDISO: 1
FDISK_PART_SOLARIS_OLD: 130
sys: <module 'sys' (built-in)>
bootfsoptions: ''
chosencfg: {'ramdisk': None, 'kernel': None, 'args': None}
DK_LABEL_LOC: 1
format_sxp: <function format_sxp at 0x270fb18>
__name__: '__main__'
copy: <module 'copy' from '/usr/lib64/python2.7/copy.pyc'>
output_format: 'simple0'
PYGRUB_VER: 0.6
a: '/var/run/xen/bootloader.1.d'
DISK_TYPE_DOS: 2
copy_from_image: <function copy_from_image at 0x270fc80>
logging: <module 'logging' from '/usr/lib64/python2.7/logging/__init__.pyc'>
GrubLineEditor: <class __main__.GrubLineEditor at 0x270a258>
Grub: <class __main__.Grub at 0x270a2c0>
entry: None
traceback: <module 'traceback' from '/usr/lib64/python2.7/traceback.pyc'>
fd: 3
o: '--output-directory'
fsimage: <module 'fsimage' from '/usr/lib64/python2.7/site-packages/fsimage.so'>
get_solaris_slice: <function get_solaris_slice at 0x270f140>
bootcfg: {'ramdisk': None, 'kernel': None, 'args': None}
output: '/var/run/xen/bootloader.1.out'
incfg: {'ramdisk': None, 'kernel': None, 'args': ''}
debug: False
_curses: <module '_curses' from '/usr/lib64/python2.7/lib-dynload/_curses.so'>
isconfig: False
sniff_solaris: <function sniff_solaris at 0x270fa28>
os: <module 'os' from '/usr/lib64/python2.7/os.pyc'>
opts: [('--output', '/var/run/xen/bootloader.1.out'), ('--output-format', 'simple0'), ('--output-directory', '/var/run/xen/bootloader.1.d')]
V_ROOT: 2
Comment 1 Balázs Zsoldos 2013-10-15 16:47:10 EDT
Created attachment 812683 [details]
File: backtrace
Comment 2 Balázs Zsoldos 2013-10-15 16:47:15 EDT
Created attachment 812684 [details]
File: environ
Comment 3 Michael Young 2013-10-16 17:30:36 EDT
pygrub is looking for a linux style kernel and naturally it doesn't find one in a windows image. If pygrub is being called it means you are trying run windows as a PV (paravirtualized) guest, but the recommended way to run windows is as an HVM (fully virtualized) guest.
Comment 4 Fedora End Of Life 2015-01-09 15:16:10 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 12:42:04 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.